/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-16 16:37:05
 * @LastEditors: 无尘
 * @LastEditTime: 2020-07-21 09:52:25
 */
import Layout from '@/layout/layout.vue';

export const routes = [
  {
    path: '/',
    component: Layout,
    redirect: '/enterprise-list',
    children: [
      {
        path: '/enterprise-list',
        name: '企业管理',
        component: () => import('@/views/enterprise/enterprise-list.vue')
      },
      {
        path: '/enterprise-detail',
        name: '企业详情',
        component: () => import('@/views/enterprise/enterprise-detail.vue')
      },
      {
        path: '/menu-config',
        name: '菜单配置',
        component: () => import('@/views/permission/menu-config.vue')
      },
      {
        path: '/permission-list',
        name: '权限项列表',
        component: () => import('@/views/permission/permission-list.vue')
      },
      {
        path: '/operation-list',
        name: '操作项列表',
        component: () => import('@/views/permission/operation-list.vue')
      }
    ]
  },
  {
    path: '/403',
    name: '无权访问',
    component: () => import('@/views/errorPage/index.vue')
  },
  {
    path: '/404',
    name: 'error404',
    component: () => import('@/views/errorPage/index.vue')
  },
  {
    path: '/500',
    name: 'error500',
    component: () => import('@/views/errorPage/index.vue')
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]
